%global modname dbusmock

Name:             python-%{modname}
Version:          0.33.0
Release:          1.20241218163307174063.pr153.6.g3fdfbf4%{?dist}
Summary:          Mock D-Bus objects

License:          LGPL-3.0-or-later
URL:              https://pypi.python.org/pypi/python-dbusmock
Source0:          python_dbusmock-0.33.0.post6+g3fdfbf4.tar.gz

BuildArch:        noarch
BuildRequires:    git
BuildRequires:    python3-dbus
BuildRequires:    python3-devel
BuildRequires:    python3dist(setuptools-scm)
BuildRequires:    python3dist(wheel)
BuildRequires:    python3-setuptools
BuildRequires:    python3-gobject
BuildRequires:    python3-pytest
BuildRequires:    dbus-x11
BuildRequires:    upower

%global _description\
With this program/Python library you can easily create mock objects on\
D-Bus. This is useful for writing tests for software which talks to\
D-Bus services such as upower, systemd, ConsoleKit, gnome-session or\
others, and it is hard (or impossible without root privileges) to set\
the state of the real services to what you expect in your tests.

%description %_description

%package -n python3-dbusmock
Summary: %summary (Python3)
Requires:         python3-dbus, python3-gobject, dbus-x11
%description -n python3-dbusmock %_description

%prep
%autosetup -n python_dbusmock-0.33.0.post6+g3fdfbf4
rm -rf python-%{modname}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
%{__python3} -m unittest -v

%files -n python3-dbusmock
/usr/lib/python*

%doc README.md COPYING

%changelog
* Wed Dec 18 2024 Packit <hello@packit.dev> - 0.33.0-1.20241218163307174063.pr153.6.g3fdfbf4
- Drop setup.{cfg,py} support (Martin Pitt)
- templates: Ignore unknown RUF052 (Martin Pitt)
- packit: Re-enable CentOS 10 (Martin Pitt)
- Move release to pybuild (Martin Pitt)
- workflows: Run tests and release in same Ubuntu version (Martin Pitt)
- ruff 0.8 fixes (Martin Pitt)
